#include "defines.h"

int CheckParentDir(unchar *fname)
// fnameがカレント="."または親ディレクトリ=".."を示す文字列かどうかを調べる
// return : 0=No , 1=Yes
{
// fname[0]=='.'ならカレント／上ディレクトリ名としてスキップする処理がよくあるが、
// TwentyOne+Pではファイル名の先頭に.がくることがあるのでこれではまずい。
// それに対処するための関数がこれである
//	".",".."と完全一致のみ
int ret=0;
	if (*fname++=='.') { /* 可能性有り */
		switch (*fname++) {
			case '.': /* ..ときた */
				if (*fname==EOS) { /* ".."=親ディレクトリ */
			case EOS: /* "."=カレント */
					ret=1;
				}
				break;
		}
	}
	return(ret);
}
